package com.yizhi.message.application.vo.domain;

import com.baomidou.mybatisplus.activerecord.Model;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 *
 * </p>
 *
 * @author hutao123
 * @since 2019-09-12
 */
@Data
@Api(tags = "MessageParamRelationVo", description = "")
public class MessageParamRelationVo extends Model<MessageParamRelationVo> {

    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "消息与可选参数关联表")
    private Long id;

    @ApiModelProperty(value = "消息id")
    private Long messageId;

    @ApiModelProperty(value = "可选参数id")
    private Long messageParameterId;

    @ApiModelProperty(value = "可变参数类型 ：1、用户姓名；2、课程名称；3、项目时间；4、项目名称；5、报名截止时间；更多请看数据库")

    private Integer fieldType;

    @ApiModelProperty(value = "是否删除")
    private Integer deleted;

    @ApiModelProperty(value = "创建人id")
    private Long createById;

    @ApiModelProperty(value = "创建人账号")
    private String createByName;

    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    @ApiModelProperty(value = "修改人id")
    private Long updateById;

    @ApiModelProperty(value = "修改人账号")
    private String updateByName;

    @ApiModelProperty(value = "修改时间")
    private Date updateTime;


    @Override
    protected Serializable pkVal() {
        return this.id;
    }

}
